# frozen_string_literal: true

SERVICE_NAME = 'flow_down'
SERVICE_TASK = 'task-worker'

require 'bundler/setup'
require_relative 'system/import'
Application.finalize!

Karafka::Loader.new.load(Karafka::App.root)

require 'flow_down/karafka'

Karafka::App.boot!

# Uncomment the below to use scheduled jobs.
#
# require 'sidekiq-cron'
# require 'yaml'
#
# schedule_file = "#{target.root}/schedule.yml"
# if File.exist?(schedule_file)
#   Sidekiq::Cron::Job.load_from_hash! YAML.load_file(schedule_file)
# end
